ICHSMB(4)

NAME
ichsmb - Intel ICH SMBus controller

SYNOPSIS
ichsmb* at pci?
iic* at ichsmb?

DESCRIPTION
The ichsmb driver provides support for the Intel ICH SMBus host interface to be used with the iic(4) framework.

Supported chipsets:

•   Intel ICH, ICH2, ICH3, ICH4, ICH4-M, ICH5, ICH5R, ICH6, ICH6-M, ICH6R, ICH7, ICH8, ICH9, ICH10, C-ICH, 6300ESB and 6321ESB.

SEE ALSO
iic(4), intro(4), pci(4)

HISTORY
The ichsmb driver first appeared in OpenBSD 4.0. This driver imports from OpenBSD 3.9.

AUTHORS
-nosplit The ichsmb driver was written by Alexander Yurchenko <grange@openbsd.org>.

BUGS
The driver doesn't support I2C commands with a data buffer size of more than 2 bytes.